import request from "@/utils/request";

/**
 * 维修估价-新增

 */
export function setEvaluationAdd(data) {
  return request.post("/api/repairEvaluation/add", data, { login: true });
}
/**
 * 维修估价-历史记录
 */
export function getEvaluationList(data) {
  return request.post("/api/repairEvaluation/list", data, { login: true,loading:true });
}
/**
 * 维修估价-详情
 */
export function getEvaluationDetail(data) {
  return request.post("/api/repairEvaluation/detail", data, { login: true });
}
/**
 * 维修估价-获取服务data
 */
export function getShopServiceOne(data) {
  return request.post("/api/shopServiceOne/list", data, { login: true });
}
/**
 * 维修估价-首页服务
 */
export function getRepairServiceOne(data) {
  return request.post("/api/repairServiceOne/list", data, { login: true });
}
/**
 * 维修估价-新增订单
 */
export function repairOrderAdd(data) {
  return request.post("/api/repairOrder/add", data, { login: true });
}
/**
 * 维修估价-订单列表
 */
export function repairOrderList(data) {
  return request.post("/api/repairOrder/list", data, { login: true,loading:true });
}
/**
 * 维修估价-取消维保订单
 */
export function cancelOrder(data) {
  return request.post("/api/repairOrder/cancelOrder", data, { login: true });
}
/**
 * 维修估价-订单评价
 */
export function orderEvaluate(data) {
  return request.post("/api/orderEvaluate/add", data, { login: true });
}
/**
 * 维修估价-提交提车信息
 */
export function repairGetCar(data) {
  return request.post("/api/repairGetCar/add", data, { login: true });
}
/**
 * 维修估价-订单详情
 */
export function orderDetail(data) {
  return request.post("/api/repairOrder/detail", data, { login: true });
}
/**
 * 维修估价-流程明显
 */
export function logList(data) {
  return request.post("/api/repairOrder/logList", data, { login: true });
}
/**
 * 维修估价-套餐列表
 */
export function packageList(data) {
  return request.post("/api/package/list", data, { login: true });
}
/**
 * 维修估价-套餐详情
 */
export function packageDetail(data) {
  return request.post("/api/package/detail", data, { login: true });
}
/**
 * 维修估价-购买套餐
 */
export function packageBuy(data) {
  return request.post("/api/package/buy", data, { login: true });
}

/**
 * 维修保养支付
 */
export function payOrder(data){
	return request.post("/api/repairOrder/payOrder",data,{login:true})
}

/**
 * 资源详情
 */
export function agreement(data){
	return request.post("/api/resource/detail",data,{login:true})
}
